## org.eclipse.wst.ws.service.policy
Interface IPolicyStateEnum

    public interface IPolicyStateEnum

This interface is used to access the state when an enumeration is used to persist state.

Field Summary
`static java.lang.String` `FALSE_ENUM`
`static java.lang.String` `TRUE_ENUM`

Method Summary
`IStateEnumerationItem` `getCurrentItem()` Returns the current enum item.
`java.lang.String` `getDefaultId()` Returns the default enum item for this enumeration.
`java.lang.String` `getEnumId()` Returns the enumeration id associated with this service policy.
`void` `setCurrentItem(java.lang.String itemId)` Sets the current enum item.

Field Detail

### TRUE_ENUM

    static final java.lang.String TRUE_ENUM

See Also:
  Constant Field Values

### FALSE_ENUM

    static final java.lang.String FALSE_ENUM

See Also:
  Constant Field Values

Method Detail

### getEnumId

    java.lang.String getEnumId()

  Returns the enumeration id associated with this service policy.

  Returns:
    returns the enumeration id associated with this service policy.

### getDefaultId

    java.lang.String getDefaultId()

  Returns the default enum item for this enumeration.

  Returns:
    returns the default enum item for this enumeration.

### setCurrentItem

    void setCurrentItem(java.lang.String itemId)

  Sets the current enum item. This enum item id needs to be and enum item id associated with this enumeration.

  Parameters:
    `itemId` -

### getCurrentItem

    IStateEnumerationItem getCurrentItem()

  Returns the current enum item.

  Returns:
    returns the current enum item.